# User Scripts

User scripts I made to deal with some itches

## Anti-Thot

Hacky script to get rid of thot notifications

## Auto Cloudflare Email Protection Decoder

A reimplementation of Cloudflare's email protection code so that I don't have
to enable scripts to see emails again, inspired by
[this article](https://web.archive.org/web/20210120041753/https://resynth1943.net/articles/cloudflares-email-protection-does-not-work/)

## Catbox Max Files Disabler

Hacky script to disable the client-side file limit per tab

## Compass QoL Enhancer

A userscript that adds small but useful features for Compass. Features include:
- The ability to close windows by clicking on the background
- Calendar events are now links (they work with [Link Hints] now! you can also
  ctrl+click on "standard classes" and learning tasks)
- Tabs are now links (you can refresh pages and the tab will automatically
  open. you can also ctrl+click on them)
- Files and folders in Resources is now marked clickable ([Link Hints] can now
  open them!)
- The context menu that only says "Copy" is now suppressed
- The option to remember logins is unchecked by default

[Link Hints]: https://lydell.github.io/LinkHints/

## Elements with ID lister

A userscript that adds a "Show elements popup" option to the Monkey Menu which
lists all elements with an ID

## Image Loader Placeholder Remover

Removes image loading placeholders from images loaded via Javascript, such as
https://closeronline.co.uk, https://wired.com, and https://knowyourmeme.com.

## nightly.link buttons

A script to add [nightly.link](https://nightly.link) buttons on artifacts and
build logs to view them without logging in

## Quizizz Force Show Answer

![A man yelling "I DON'T WANNA", followed by sign up/login boxes](https://gitlab.com/blankX/userscripts/-/raw/master/accounts.jpg)

## RESser

A script to add more keyboard shortcuts to old reddit that I feel too hacky to
add into RES (requires RES).
Keyboard shortcuts:
- `v`/`n`: Reveal all text spoilers
- `Enter`/`Shift+Enter` on a crosspoted item: Open a crossposted item instead
  of its link (sometimes also opens its link, no idea how to fix)
- `Shift+Enter` on Continue this thread: Opens a thread in a new tab
